#!/usr/bin/env python
# -*- coding: utf-8 -*-

#   Ventana.py por:
#   Flavio Danesse <fdanesse@gmail.com>
#   Ceibal Jam - Uruguay - Plan Ceibal
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from sugar.activity import activity

import pygtk
pygtk.require("2.0")
import gtk

from Navegador_de_Archivos import Navegador_de_Archivos

class JAMexplorer(activity.Activity):
	def __init__(self, handle):
		activity.Activity.__init__(self, handle, False)

		# VENTANA
		self.set_title("JAMexplorer")
		self.set_resizable(True)
		#self.set_icon_from_file(ICONOS + "Logo JAMedia Ubuntu.png")
		#self.resize(MAX_WIDTH, MAX_HEIGHT)
        	self.connect("delete_event", self.delete_event)
        	self.set_border_width(3)

		barraprincipal = activity.ActivityToolbox(self)# La barra contenedora
          	self.set_toolbox(barraprincipal)# Asignamos la barra a nuestra actividad

		self.set_canvas(Navegador_de_Archivos())

		self.show_all()

	def delete_event(self, widget, event, data=None):
		sys.exit(0)
		return gtk.FALSE

	def main(self):
        	gtk.main()


class Ventana():

    def __init__(self):
        self.window=gtk.Window(gtk.WINDOW_TOPLEVEL)
	self.window.set_size_request(640, 480)
        self.window.connect("delete_event", self.delete_event)
        self.window.connect("destroy", self.destroy)

	navegador_de_archivos = Navegador_de_Archivos()
	self.window.add(navegador_de_archivos)

        self.window.show_all()

    def delete_event(self, widget, event, data=None):
        print "delete event occurred"
        return False

    def destroy(self, widget, data=None):
        gtk.main_quit()

    def main(self):
        gtk.main()

if __name__ == "__main__":
    miventana = Ventana()
    miventana.main()
